#pragma once

class CNScrollBar;

/**
 * \group CommonUI
 * \brief {kr} ũ ̺Ʈ {/kr}
 * \date 2006-11-03
 * \author hhd2002
 * \remark {kr}  {/kr}
 */
class CScrollEvent
{
public:
	CScrollEvent(UINT nSBCode, UINT nPos, CNScrollBar* pNScrollBar)
	{
		m_nSBCode = nSBCode;
		m_nPos = nPos;
		m_pNScrollBar = pNScrollBar;
	}

	///< {kr} ũѹ ڵ (SB_LINELEFT, ...) {/kr}
	UINT			m_nSBCode;
	///< {kr} ũѹ ġ {/kr}
	int				m_nPos;
	///< {kr}  ũѹ {/kr}
	CNScrollBar*	m_pNScrollBar;
};

/**
 * \group CommonUI
 * \brief {kr} ũ ̺Ʈ ̽ {/kr}
 * \date 2006-11-03
 * \author hhd2002
 * \remark {kr}  {/kr}
 */
interface IScrollListener
{
public:
	virtual ~IScrollListener() {  }
	/**
	 * \brief	{kr} Hũ 쿡 ũѸʸ ȣ {/kr}
	 * \remark 	{kr}  {/kr}
	 * \param pScrollEvent {kr}  ũѹ {/kr} 
	 */
	virtual void	OnHScroll(CScrollEvent* pScrollEvent = NULL) = 0;
	
	/**
	 * \brief	{kr} Vũ 쿡 ũѸʸ ȣ {/kr}
	 * \remark 	{kr}  {/kr}
	 * \param pScrollEvent {kr}  ũѹ {/kr} 
	 */
	virtual void	OnVScroll(CScrollEvent* pScrollEvent = NULL) = 0;
};